<?php
/**
* @author   Vasatko
* @version  1.0
* @remarks  Copyright (C) 2011 Vasatko
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://vasatko.net/joomla/mapycz
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
* HTML view class for the mapycz component back-end interface.
*/
class mapyczViewMarkers extends JViewLegacy {

	protected $items;
	protected $pagination;
	protected $state;
	protected $map;

	function display($tpl = null) {
	
		$this->items		= $this->get('Items');
		$this->state		= $this->get('State');
		$this->pagination	= $this->get('Pagination');
		$this->model = $this->getModel();
		$this->map = $this->model->getMap();
		
		$document = JFactory::getDocument();
		$document->addStyleSheet('/administrator/components/com_mapycz/assets/css/mapycz.css');
		
		//JHtml::_('behavior.modal');
		
		JRequest::setVar('hidemainmenu', 1);
		JRequest::setVar('tmpl', 'component');
		
		parent::display($tpl);
	}

}
